def create_reverse_proxy(folder_list, configs):
    with open(f'./reverse_proxy.txt', "w+") as writer:
        for folder in folder_list:
            folder_config = list(filter(lambda item: item["name"] == folder, configs))[0]
            writer.write(f'location {folder_config["url"]} {{\n')
            writer.write(f'    proxy_pass http://localhost:{folder_config["port"].split(":")[0]}/;\n')
            writer.write(f'}}\n\n')
